import prisma from "@/lib/db";

export async function createFormation(
        titre : string,
        description : string,
        prix : string,
    ){
    
    return prisma.formation.create({
        data : {
            fo_titre : titre,
            fo_description : description,
            fo_prix : prix
        }
    })
}

export async function getAllFormation(){
    return prisma.formation.findMany({
        include: { fo_video: true },
        }
        
    )
}

export async function deleteFormation(id : number){
    return prisma.formation.delete({
        where : {
            fo_id : id
        }
    })
}